"use strict";
(function ($) {
    $.woo_booking_debug = function (element, options) {
        let defaults = {
        };
        let plugin = this;
        plugin.settings = {};
        let $element = $(element);
        plugin.setContentScriptRunning = function (title, content) {
        };
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
        };
        plugin.example_function = function () {
        };
        plugin.init();
    };
    $.fn.woo_booking_debug = function (options) {
        return this.each(function () {
            if (undefined === $(this).data('woo_booking_debug')) {
                let plugin = new $.woo_booking_debug(this, options);
                $(this).data('woo_booking_debug', plugin);
            }
        });
    }
})(jQuery);
